Skip to content

Node Pools

All operations require authentication.

10 operationsv2/publicCloud/project
Agent setup

List nodepools of a managed Kubernetes clusterBeta

GET
/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool

Path parameters

managedKubernetesId
required
stringuuid

Managed kubernetes ID

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Nodepool[]successful operation
checksum
read-only
string

Concurrency control hash of the target specification

createdAt
read-only
stringdate-time

Nodepool creation timestamp

currentState
read-only
NodepoolCurrentState

Actual nodepool state

currentTasks
read-only
CurrentTask[]

In-progress asynchronous operations on the nodepool

id
read-only
stringuuid

Unique identifier of the nodepool

resourceStatus
read-only
ResourceStatusEnum

Current lifecycle status of the nodepool

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
NodepoolTargetSpec

Desired nodepool specification

updatedAt
read-only
stringdate-time

Last nodepool modification timestamp

Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "rollout": { "strategy": "IN_PLACE" }, "status": { "currentNodes": 0, "readyNodes": 0, "upToDateNodes": 0 }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": null, "key": null, "value": null } ], "unschedulable": true } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": null, "key": null, "value": null } ], "unschedulable": true } } }, "updatedAt": "2024-01-01T12:00:00Z" }]

Get a nodepool of a managed Kubernetes clusterBeta

GET
/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}

Path parameters

managedKubernetesId
required
stringuuid

Managed kubernetes ID

nodePoolId
required
stringuuid

Node pool ID

projectId
required
string

Project ID

Response

200Nodepoolsuccessful operation
checksum
read-only
string

Concurrency control hash of the target specification

createdAt
read-only
stringdate-time

Nodepool creation timestamp

currentState
read-only
NodepoolCurrentState

Actual nodepool state

currentTasks
read-only
CurrentTask[]

In-progress asynchronous operations on the nodepool

id
read-only
stringuuid

Unique identifier of the nodepool

resourceStatus
read-only
ResourceStatusEnum

Current lifecycle status of the nodepool

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
NodepoolTargetSpec

Desired nodepool specification

updatedAt
read-only
stringdate-time

Last nodepool modification timestamp

Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "rollout": { "strategy": "IN_PLACE" }, "status": { "currentNodes": 0, "readyNodes": 0, "upToDateNodes": 0 }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "updatedAt": "2024-01-01T12:00:00Z"}

Create a nodepool in a managed Kubernetes clusterBeta

POST
/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool

Path parameters

managedKubernetesId
required
stringuuid

Managed kubernetes ID

projectId
required
string

Project ID

Request body (required)

targetSpec
required
NodepoolTargetSpec

Desired nodepool specification

Response

200Nodepoolsuccessful operation
checksum
read-only
string

Concurrency control hash of the target specification

createdAt
read-only
stringdate-time

Nodepool creation timestamp

currentState
read-only
NodepoolCurrentState

Actual nodepool state

currentTasks
read-only
CurrentTask[]

In-progress asynchronous operations on the nodepool

id
read-only
stringuuid

Unique identifier of the nodepool

resourceStatus
read-only
ResourceStatusEnum

Current lifecycle status of the nodepool

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
NodepoolTargetSpec

Desired nodepool specification

updatedAt
read-only
stringdate-time

Last nodepool modification timestamp

Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "rollout": { "strategy": "IN_PLACE" }, "status": { "currentNodes": 0, "readyNodes": 0, "upToDateNodes": 0 }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "updatedAt": "2024-01-01T12:00:00Z"}

Delete a nodepool of a managed Kubernetes clusterBeta

DELETE
/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}

Path parameters

managedKubernetesId
required
stringuuid

Managed kubernetes ID

nodePoolId
required
stringuuid

Node pool ID

projectId
required
string

Project ID

Response

200Nodepoolsuccessful operation
checksum
read-only
string

Concurrency control hash of the target specification

createdAt
read-only
stringdate-time

Nodepool creation timestamp

currentState
read-only
NodepoolCurrentState

Actual nodepool state

currentTasks
read-only
CurrentTask[]

In-progress asynchronous operations on the nodepool

id
read-only
stringuuid

Unique identifier of the nodepool

resourceStatus
read-only
ResourceStatusEnum

Current lifecycle status of the nodepool

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
NodepoolTargetSpec

Desired nodepool specification

updatedAt
read-only
stringdate-time

Last nodepool modification timestamp

Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "rollout": { "strategy": "IN_PLACE" }, "status": { "currentNodes": 0, "readyNodes": 0, "upToDateNodes": 0 }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "updatedAt": "2024-01-01T12:00:00Z"}

Update a nodepool of a managed Kubernetes clusterBeta

PUT
/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}

Path parameters

managedKubernetesId
required
stringuuid

Managed kubernetes ID

nodePoolId
required
stringuuid

Node pool ID

projectId
required
string

Project ID

Request body (required)

checksum
string

Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).

targetSpec
required
NodepoolUpdateTargetSpec

Updated nodepool specification with mutable fields only

Response

200Nodepoolsuccessful operation
checksum
read-only
string

Concurrency control hash of the target specification

createdAt
read-only
stringdate-time

Nodepool creation timestamp

currentState
read-only
NodepoolCurrentState

Actual nodepool state

currentTasks
read-only
CurrentTask[]

In-progress asynchronous operations on the nodepool

id
read-only
stringuuid

Unique identifier of the nodepool

resourceStatus
read-only
ResourceStatusEnum

Current lifecycle status of the nodepool

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
NodepoolTargetSpec

Desired nodepool specification

updatedAt
read-only
stringdate-time

Last nodepool modification timestamp

Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "rollout": { "strategy": "IN_PLACE" }, "status": { "currentNodes": 0, "readyNodes": 0, "upToDateNodes": 0 }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "antiAffinity": { "enabled": true, "policy": "HARD" }, "autoscaler": { "enabled": true, "maxNodes": 0, "minNodes": 0, "scaleDown": { "unneededTimeSeconds": 0, "unreadyTimeSeconds": 0, "utilizationThreshold": 0 } }, "availabilityZone": "string", "billingType": "HOURLY", "desiredNodes": 0, "name": "string", "nodeConfig": { "attachFloatingIp": { "enabled": true }, "flavor": "string" }, "template": { "metadata": { "annotations": { "key": "string" }, "finalizers": [ "string" ], "labels": { "key": "string" } }, "spec": { "taints": [ { "effect": "NoExecute", "key": "string", "value": "string" } ], "unschedulable": true } } }, "updatedAt": "2024-01-01T12:00:00Z"}

List nodes of a managed Kubernetes cluster nodepoolBeta

GET
/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}/node

Deleted nodes kept in retention are excluded unless includeDeleted is true.

Path parameters

managedKubernetesId
required
stringuuid

Managed kubernetes ID

nodePoolId
required
stringuuid

Node pool ID

projectId
required
string

Project ID

Query parameters

includeDeleted
boolean

Include deleted nodes still kept in retention

resourceStatus
NodeResourceStatusEnum

Return only the nodes in this lifecycle status. Filtering on DELETED requires includeDeleted set to true, otherwise the request returns 400.

ValuesCREATINGDELETEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Node[]successful operation
createdAt
read-only
stringdate-time

Node creation timestamp

currentState
read-only
NodeCurrentState

Actual node state

id
read-only
stringuuid

Unique identifier of the node

resourceStatus
read-only
NodeResourceStatusEnum

Current lifecycle status of the node

ValuesCREATINGDELETEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
updatedAt
read-only
stringdate-time

Last node modification timestamp

Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}/node \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "deletedAt": "2024-01-01T12:00:00Z", "deployedAt": "2024-01-01T12:00:00Z", "flavor": "string", "instanceId": "00000000-0000-0000-0000-000000000000", "name": "string", "nodePoolId": "00000000-0000-0000-0000-000000000000", "upToDate": true, "version": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a node of a managed Kubernetes cluster nodepoolBeta

GET
/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}/node/{nodeId}

A deleted node kept in retention is returned with resourceStatus DELETED until it expires, after which the call returns 404.

Path parameters

managedKubernetesId
required
stringuuid

Managed kubernetes ID

nodeId
required
stringuuid

Node ID

nodePoolId
required
stringuuid

Node pool ID

projectId
required
string

Project ID

Response

200Nodesuccessful operation
createdAt
read-only
stringdate-time

Node creation timestamp

currentState
read-only
NodeCurrentState

Actual node state

id
read-only
stringuuid

Unique identifier of the node

resourceStatus
read-only
NodeResourceStatusEnum

Current lifecycle status of the node

ValuesCREATINGDELETEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
updatedAt
read-only
stringdate-time

Last node modification timestamp

Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodeId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}/node/{nodeId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "deletedAt": "2024-01-01T12:00:00Z", "deployedAt": "2024-01-01T12:00:00Z", "flavor": "string", "instanceId": "00000000-0000-0000-0000-000000000000", "name": "string", "nodePoolId": "00000000-0000-0000-0000-000000000000", "upToDate": true, "version": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}

List all events related to a managed Kubernetes cluster nodepoolBeta

GET
/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}/event

Path parameters

managedKubernetesId
required
stringuuid

Managed kubernetes ID

nodePoolId
required
stringuuid

Node pool ID

projectId
required
string

Project ID

Query parameters

taskId
stringuuid

Return only the events belonging to this task

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Event[]successful operation
createdAt
read-only
stringdate-time

Creation date of the event

kind
read-only
string

Nature of the event

link
read-only
string

Link to the event related resource

message
read-only
string

Description of what happened on the event

type
read-only
EventTypeEnum

Type of the event

ValuesTARGET_SPEC_UPDATETASK_ERRORTASK_STARTTASK_SUCCESS

Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}/event \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "link": "string", "message": "string", "type": "TARGET_SPEC_UPDATE" }]

List all tasks related to a managed Kubernetes cluster nodepoolBeta

GET
/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}/task

Path parameters

managedKubernetesId
required
stringuuid

Managed kubernetes ID

nodePoolId
required
stringuuid

Node pool ID

projectId
required
string

Project ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Task[]successful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a specific task related to a managed Kubernetes cluster nodepoolBeta

GET
/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}/task/{taskId}

Path parameters

managedKubernetesId
required
stringuuid

Managed kubernetes ID

nodePoolId
required
stringuuid

Node pool ID

projectId
required
string

Project ID

taskId
required
stringuuid

Task ID

Response

200Tasksuccessful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

Example uses managedKubernetesId = 00000000-0000-0000-0000-000000000000, nodePoolId = 00000000-0000-0000-0000-000000000000, projectId = string, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/publicCloud/project/{projectId}/managedKubernetes/{managedKubernetesId}/nodepool/{nodePoolId}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}